package com.ho.gateway.config.listnerForNacosServerUpdated;

/**
 * @author fancl
 * @desc:
 * @date 2022/9/20
 */
public interface ServerListListener {
    /**
     * 监听
     * @param serviceId 服务名
     * @param eventHandler 回调
     */
    void listen(String serviceId, ServerEventHandler eventHandler);

    @FunctionalInterface
    interface ServerEventHandler {
        void update();
    }
}
